# Generated by configure.  Do not edit.

commit 156cd3eaaebfd8635517c2baf61fcf3627ff7ec2
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Fri Nov 27 16:57:18 2020 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Nov 27 18:18:03 2020 -0800

    Release 1.17.4

 NEWS                | 40 ++++++++++++++++++++++++++++++++++++++++
 src/cairo-version.h |  2 +-
 2 files changed, 41 insertions(+), 1 deletion(-)

commit dfbc57f9a3b7036ed3a31ff47082c1331ae3e1a7
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Fri Nov 27 17:00:16 2020 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Nov 27 18:18:03 2020 -0800

    build: Update ssh url for cairographics.org

 build/Makefile.am.releasing | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5de0d6b97895364fe84a3a255a4bab1a9c140143
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Sun Nov 22 18:44:20 2020 +0000
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Nov 27 18:18:03 2020 -0800

    ci: fix default options in meson ci
    
    Follow-up fix to !78

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e9081a8f6745dcbacadf42d529b14fe86ab54b8
Author:     Félix Poisot <felix@lhfblc.fr>
AuthorDate: Sat Nov 21 11:58:59 2020 +0000
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Nov 27 18:18:03 2020 -0800

    The array introduced in bff47b43 isn't cleared on surface finish

 src/cairo-pdf-surface.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 825154fef78d6d0bd2fad4328a55ba95cafd12c0
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Mon Aug 31 22:15:21 2020 -0600
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Nov 27 18:18:03 2020 -0800

    cairo-trace: Fix escape character encoding in string literals
    
    This fixes a typo wherein both a return character and a tab character
    were encoded when only a return character was specified for encoding.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 util/cairo-trace/trace.c | 1 +
 1 file changed, 1 insertion(+)

commit 590122daa8f6daaf83ead7f16cb7adf732d25cd9
Author:     Marek Kasik <mkasik@redhat.com>
AuthorDate: Fri Mar 27 19:39:46 2020 +0100
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Nov 27 18:18:03 2020 -0800

    cff: Allow empty array of operands for certain operators
    
    Operators BlueValues, OtherBlues, FamilyBlues, FamilyOtherBlues,
    StemSnapH and StemSnapV have operands of type delta which can be
    a number or an array of delta-encoded numbers. This array can be
    empty according to freetype developers.
    This commit checks whether current operator is among those listed
    and permits empty operand in such case.

 src/cairo-cff-subset.c | 78 +++++++++++++++++++++++++++++++-------------------
 1 file changed, 49 insertions(+), 29 deletions(-)

commit c43ff33c43821c555756cc8281c9a2578c217723
Author:     Sven Neumann <sven@svenfoo.org>
AuthorDate: Tue Feb 11 11:24:16 2020 +0100
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Nov 27 18:18:03 2020 -0800

    Fix conversion from ISO 8601 to PDF date string
    
    The code used to unintentionally drop the minutes from the timezone
    offset, see issue #392. This is now fixed.

 src/cairo-pdf-interchange.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5d97c12859fefca943e630ee5739ae5bf185099b
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Tue Nov 17 16:55:47 2020 +0000
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Tue Nov 17 16:59:53 2020 +0000

    ci: require opengl in meson fedora build
    
    Follow-up to !78

 .gitlab-ci.yml | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 3e5115fde7086ffe2b73eab62d8b80c50f217f4a
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Tue Nov 17 15:07:29 2020 +0000
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Tue Nov 17 15:13:42 2020 +0000

    meson: align gl backend option defaults with autotools
    
    Disable gl backend by default, just like autotools does:
    
      --enable-gl=[no/auto/yes]
                              Enable cairo's OpenGL surface backend feature
                              [default=no]
      --enable-glesv2=[no/auto/yes]
                              Enable cairo's OpenGLESv2 surface backend feature
                              [default=no]
      --enable-glesv3=[no/auto/yes]
                              Enable cairo's OpenGLESv3 surface backend feature
                              [default=no]

 .gitlab-ci.yml    | 3 +++
 meson_options.txt | 6 +++---
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 1a68c0bdfb63f8f7bb96e8a0bd577ca05e63936e
Author:     Nirbheek Chauhan <nirbheek@centricular.com>
AuthorDate: Mon Nov 16 20:14:18 2020 +0530
Commit:     Nirbheek Chauhan <nirbheek@centricular.com>
CommitDate: Mon Nov 16 20:14:18 2020 +0530

    libpng.wrap: Bump to latest version

 subprojects/libpng.wrap | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit b5175fd8a6c8ff555e0a127e3fe42cdad241aad1
Author:     Anton Danilkin <afdw@yandex.ru>
AuthorDate: Wed Nov 11 17:33:31 2020 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Fri Nov 13 12:04:51 2020 +0000

    Fix testing in the full mode for PDF, PS and SVG backends
    
    Fix how offset, scale and transparency are handled.
    
    Also do the same change in the "win32-printing" backend as it has a copy of the code from PDS, PS and SVG backends.

 boilerplate/cairo-boilerplate-pdf.c            | 33 ++++++++++-------
 boilerplate/cairo-boilerplate-ps.c             | 50 ++++++++++++++++++--------
 boilerplate/cairo-boilerplate-svg.c            | 44 ++++++++++++++++-------
 boilerplate/cairo-boilerplate-win32-printing.c | 24 ++++++++-----
 4 files changed, 103 insertions(+), 48 deletions(-)

commit ab7b45feb701032c73ef0c190d963ee3ff76a815
Author:     Nirbheek Chauhan <nirbheek@centricular.com>
AuthorDate: Tue Nov 10 16:18:50 2020 +0530
Commit:     Nirbheek Chauhan <nirbheek@centricular.com>
CommitDate: Tue Nov 10 16:18:50 2020 +0530

    meson: Fix libpng fallback dependency variable
    
    The libpng subproject dependency variable name was wrong. It's
    libpng_dep:
    
    https://github.com/mesonbuild/libpng/blob/1.6.37/meson.build#L110

 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed98414686ede45a4f2302b4521dece51acdb785
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Mon Aug 31 22:14:59 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Sat Nov 7 06:45:01 2020 -0700

    build: Fix various compiler warnings
    
    This fixes a few compiler warnings that were encountered with gcc 9.3.0.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 INSTALL                                    |   2 +-
 boilerplate/cairo-boilerplate-cogl.c       |   5 +-
 boilerplate/cairo-boilerplate-egl.c        |   2 -
 src/cairo-analysis-surface.c               | 110 ++++++++++++++++-------------
 src/cairo-base64-stream.c                  |   1 +
 src/cairo-ft-font.c                        |   1 +
 src/cairo-path-fixed.c                     |   2 +-
 src/cairo-path-stroke-polygon.c            |   2 +-
 src/cairo-path-stroke-traps.c              |   3 +-
 src/cairo-pdf-surface.c                    |  22 +++---
 src/cairo-svg-surface.c                    |   1 +
 src/cairo-type1-subset.c                   |   2 +-
 util/cairo-script/cairo-script-file.c      |   1 +
 util/cairo-script/cairo-script-operators.c |   1 +
 util/cairo-script/cairo-script-scanner.c   |   1 +
 util/cairo-trace/trace.c                   |  10 ++-
 16 files changed, 90 insertions(+), 76 deletions(-)

commit 618b13c436636149bb1c611a9f4a422f60c6476d
Author:     Nirbheek Chauhan <nirbheek@centricular.com>
AuthorDate: Wed Nov 4 14:50:52 2020 +0530
Commit:     Nirbheek Chauhan <nirbheek@centricular.com>
CommitDate: Wed Nov 4 14:50:52 2020 +0530

    meson: Add dependencies to the declared libcairo dep
    
    That way when other projects consume our declared dep, they get
    transitive dependencies too based on what features cairo was built
    with. Without this, projects that build cairo as a subproject and also
    build, say, fontconfig as a subproject will fail to find cairo-ft.h
    (etc).

 src/meson.build | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c3e48e63a2d2deeae6205ee746cc00c960c8c5c5
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Wed Sep 23 19:27:34 2020 +0100
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Wed Oct 21 11:45:54 2020 +0000

    meson: extract meson version from cairo-version.h
    
    Same as autotools does. Arguably it would be better to do
    it the other way round and generate cairo-version.h from
    the version in meson.build or configure.ac but for now
    let's do this so it's at least in sync with the autotools
    build and only one file has to be edited for releases.

 Makefile.am |  1 +
 meson.build |  2 +-
 version.py  | 31 +++++++++++++++++++++++++++++++
 3 files changed, 33 insertions(+), 1 deletion(-)

commit a67735010dd7576fac7d5e30e0933a3be313b75e
Author:     Michal Sudolsky <michal@sudolio.com>
AuthorDate: Tue Jul 21 20:02:24 2020 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Wed Oct 21 11:14:28 2020 +0000

    fix double free and failed assertions in cairo_scaled_font_destroy

 src/cairo-scaled-font.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f8967015029e2c1c59913a2a684c74f62b6e8979
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Tue Oct 6 11:25:54 2020 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Wed Oct 7 12:04:35 2020 -0400

    meson: cairo-ft depends on fontconfig if available
    
    cairo-ft.h includes fontconfig.h when CAIRO_HAS_FC_FONT is defined, so
    it must appear in the pc file and the corresponding
    declare_dependency(). This fix build issue in harfbuzz when cairo and
    fontconfig are built as subproject.

 meson.build | 63 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 33 insertions(+), 30 deletions(-)

commit 70c01fb9d1399f802ba5799bb7a63f8c594a8cb6
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Tue Oct 6 13:28:51 2020 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Wed Oct 7 11:50:07 2020 -0400

    cairo-gobject: Missing cairo include directories
    
    When cairo is a subproject and application uses libcairogobject_dep, it
    was missing include directories set in libcairo_dep.

 util/cairo-gobject/meson.build | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 084404cd150981e2d6e6613a4bfb55e7b13a0fb7
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Mon Oct 5 10:32:27 2020 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Tue Oct 6 10:58:04 2020 -0400

    meson: Use pkgmod.generate() for all cairo pc files
    
    Also override each dependency so they can be used when cairo is used as
    subproject.

 meson.build                    | 234 ++++++++++++++++-------------------------
 src/meson.build                |   8 +-
 util/cairo-gobject/meson.build |   8 ++
 3 files changed, 100 insertions(+), 150 deletions(-)

commit e2c1b76d7109150bcce72ae6683c5f8f2739468c
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Sat Oct 3 22:39:59 2020 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Sat Oct 3 22:42:56 2020 -0400

    meson: Fix build when libpng is not found
    
    trace-to-xml.c needs cairo-xml.h which is only available when
    CAIRO_HAS_XML_SURFACE feature is built which is only available when both
    zlib and png are found. CAIRO_HAS_INTERPRETER only requires zlib.

 util/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a6ab2475906635fcc5ba0c73182fae73c4f7ee8
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Fri Oct 2 17:28:18 2020 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Fri Oct 2 17:29:07 2020 -0400

    meson: Fix cross build with Android NDK
    
    Android NDK does not contain execinfo.h so malloc-stats.c cannot be
    built.

 util/meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ea2991a40d547d3c7800f862206741625a84417
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Thu Sep 24 12:42:54 2020 +0100
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Tue Sep 29 15:50:53 2020 +0000

    Retire dummy cairo-version.h header to fix meson subproject build
    
    It was originally added to make bisecting easier,
    but has outlived its usefuleness now.
    
    Going forward we'll have just a single cairo-version.h
    header file, the one with the real version numbers.
    
    This is needed to fix the case where cairo is being
    built as a Meson subproject, but also simplifies
    things in general.
    
    Fixes #421

 Makefile.am                                   |  3 ---
 RELEASING                                     |  8 ++++----
 acinclude.m4                                  |  2 +-
 boilerplate/cairo-boilerplate-test-surfaces.c |  2 --
 boilerplate/cairo-boilerplate.c               |  6 ------
 boilerplate/check-link.c                      |  7 -------
 cairo-version.h                               |  8 --------
 doc/public/Makefile.am                        |  2 +-
 meson.build                                   |  2 --
 perf/cairo-analyse-trace.c                    |  2 --
 perf/cairo-perf-micro.c                       |  2 --
 perf/cairo-perf-trace.c                       |  2 --
 src/Makefile.am                               |  2 --
 src/Makefile.sources                          | 13 +------------
 src/Makefile.win32                            |  1 -
 src/cairo-version.c                           |  6 ------
 src/cairo-version.h                           | 12 +++---------
 src/check-link.c                              |  7 -------
 src/meson.build                               |  1 +
 test/cairo-test-runner.c                      |  7 -------
 20 files changed, 11 insertions(+), 84 deletions(-)

commit 96017adf652433584d2a81add601409c3a5d9cd5
Author:     Jordan Petridis <jpetridis@gnome.org>
AuthorDate: Tue Jun 23 17:03:28 2020 +0300
Commit:     Jordan Petridis <jordan@centricular.com>
CommitDate: Tue Sep 29 13:00:39 2020 +0300

    port the CI setup to freedesktop/citemplates
    
    rework the whole CI setup to take advantage of citemplates
    for building managing the docker images.
    
    also add a meson build job and rework the ccache config to be
    shared across autotools and meson. The jobs will not share ccache
    artifacts though.
    
    https://who-t.blogspot.com/2020/03/its-templates-all-way-down.html

 .gitlab-ci.yml | 106 ++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 79 insertions(+), 27 deletions(-)

commit 75f6e0cacfaa492d39cafe5b9289827b58305645
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Sat Jul 18 20:13:21 2020 +0100
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Sat Sep 26 23:38:26 2020 +0100

    ci: add native Windows MSVC build with Meson

 .gitlab-ci.yml | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 66 insertions(+), 1 deletion(-)

commit b4bbe9970ca623a9e81874bf8584d39ac9f43126
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Thu Sep 24 12:16:39 2020 +0100
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Thu Sep 24 12:16:39 2020 +0100

    autotools: dist Meson build system files
    
    So that people can build with Meson when using the tarballs.
    
    Fixes #424

 Makefile.am | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 01683a5882ed8e4629158985da5422e26776d1d3
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Sat Sep 19 14:07:28 2020 +0100
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Sat Sep 19 14:07:28 2020 +0100

    meson: ensure srcdir doesn't contain autotools build artifacts
    
    .. such as config.h or other generated files such as cairo-features.h,
    as those might be accidentally included by the meson build and cause
    weird to debug build issues.
    
    Fixes #423

 meson.build | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 9a3ad1df1cdca3559d0102918b7527005605df1a
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Mon Aug 31 01:36:20 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Sat Sep 5 12:15:57 2020 +0000

    build: Include correct poll.h
    
    Including sys/poll.h when poll.h is available produces a compile
    warning on some systems, but only sys/poll.h is present on others
    such as AIX. This makes sure the most suitable poll.h is included
    in each situation.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 build/configure.ac.system  |  2 +-
 meson.build                |  1 +
 test/any2ppm.c             |  9 +++++++--
 test/cairo-test-trace.c    | 10 +++++++++-
 util/cairo-sphinx/sphinx.c |  9 ++++++++-
 5 files changed, 26 insertions(+), 5 deletions(-)

commit 3b1bf9d6d3cbf2074eb347bc4cb33704f57d800d
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sat Sep 5 10:52:25 2020 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Sep 5 08:57:23 2020 +0000

    Fix/silence some warnings in 'make check'
    
    'make check' currently fails with the following in src/test-suite.log
    (how can one tell automake not to hide the error message in a file?!?):
    
    FAIL: check-doc-syntax.sh
    =========================
    
    Checking documentation for incorrect syntax
    ./cairo-cogl-surface.c: * cairo_cogl_pipeline_ts. On failure, both pointers will be set to
    ./cairo-cogl-surface.c:/* Mostly taken from cairo_vg_surface.c */
    Error: some function names in the docs are not followed by parentheses.
    Fix this by searching for the following regexp in the above files:
            '^[^:]*:[/ ][*]\(\|[    ].*\)\([^#']\|^\)\<\(cairo_[][<>/0-9a-z_]*\>[^][<>(]\)'
    FAIL check-doc-syntax.sh (exit status: 1)
    
    This commit silences that. The fix is likely not correct, but since
    these are normal comments and not actual doc comments, it does not
    matter much.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-cogl-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 881e2579f0096e10bfde89544ea629733aec2533
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Fri Aug 7 13:44:38 2020 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Sep 5 08:50:59 2020 +0000

    Make the test suite succeed on GitLab CI
    
    This commit makes the test suite pass by simply ignoring failures. Not
    pretty, but better than teaching people to just ignore CI failures. At
    least some kinds of problems can still be caught.
    
    Originally, I wanted to only run a single test, but while investigating
    how to do this, I stumbled upon this undocumented environment variable.
    This seems less ugly and might allow looking at older build logs to
    figure out when something first broke.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 .gitlab-ci.yml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 47881a965ed23a17a0056e99ccba2f1cc7325c9c
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Fri Sep 4 07:11:53 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Fri Sep 4 20:44:53 2020 -0600

    cogl: Add build version requirement
    
    This ensures that build configuration for the cogl backend will fail
    if an insufficiently new version of cogl is present, making it easier
    to find the root cause of a build failure.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 configure.ac | 2 +-
 meson.build  | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit c8d82cffdfba9c7c380fbdf120b3f6dd81e28d24
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Aug 30 20:57:04 2020 -0600
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Wed Sep 2 10:29:04 2020 +0000

    svg2png: Remove deprecated handle closing function call
    
    rsvg_handle_close is no longer required after creating a handle with
    rsvg_handle_new_from_file. It causes a deprecation warning during
    compilation as well. This change removes it.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 test/svg2png.c | 3 ---
 1 file changed, 3 deletions(-)

commit f2cb9ba49a222c6e17603f5fb8cbb02f82d0bbf7
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Aug 30 18:29:05 2020 -0600
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Wed Sep 2 10:29:04 2020 +0000

    meson: Fix musl build
    
    This constitutes few fixes that are necessary to compile correctly
    and reduce errors when using musl libc.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-misc.c         |  3 +++
 test/cairo-test-runner.c |  8 +++++---
 test/cairo-test-trace.c  |  7 ++++---
 test/cairo-test.c        | 10 ++++++----
 test/cairo-test.h        |  3 ++-
 util/cairo-trace/trace.c |  2 +-
 util/meson.build         |  3 +--
 7 files changed, 22 insertions(+), 14 deletions(-)

commit b87e53dc1cc4dd33fa391f3ee8db02394b44a742
Author:     Ting-Wei Lan <lantw@src.gnome.org>
AuthorDate: Mon Aug 31 23:14:19 2020 +0800
Commit:     Ting-Wei Lan <lantw@src.gnome.org>
CommitDate: Mon Aug 31 23:20:49 2020 +0800

    meson: Fix undefined reference when bfd library is installed
    
    Add the missing file which is necessary when symbol lookup is enabled.

 util/cairo-trace/meson.build | 4 ++++
 1 file changed, 4 insertions(+)

commit 2f39018c2c6661de11d5e7c3f385e7f0b338f5b1
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Tue Aug 25 03:26:27 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 03:26:27 2020 -0600

    meson: Remove unconditional disable of cogl backend build

 meson.build | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit e47d0de8d2f583c44e9f0aa57ff158e6307b7745
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Aug 23 21:23:01 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Remove filling with cogl-path
    
    This removes code that uses the cogl-path library, which was not
    used except when manually modifying a preprocessor flag. It could
    not use path caching, was slightly broken, and all of its
    functionality was provided better by different code paths.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 configure.ac                   |   2 +-
 src/Makefile.sources           |   6 +-
 src/cairo-cogl-surface.c       | 127 +++--------------------------------------
 src/cairo-cogl-utils-private.h |  54 ------------------
 src/cairo-cogl-utils.c         | 126 ----------------------------------------
 src/meson.build                |   1 -
 6 files changed, 11 insertions(+), 305 deletions(-)

commit ecbd7ed1740485ccb2be29326ffa6e5ace1df2a7
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Aug 5 23:10:42 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Add new path cache
    
    This redesigns the path cache so that it does not mess with the
    context functions, thereby hopefully making it much more resilient
    to changes in the rest of cairo that change the way the default
    context works. It is also much simpler, and it is anticipated that
    it will be more maintainable. Performance in contrast to the old
    cache design speeds up most traces in cairo-perf-trace, and slows
    down only a lesser few by <20%.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c |   12 +-
 src/Makefile.sources                 |    2 -
 src/cairo-cogl-context-private.h     |   58 --
 src/cairo-cogl-context.c             | 1063 -------------------------------
 src/cairo-cogl-private.h             |   17 +-
 src/cairo-cogl-surface.c             | 1133 +++++++++++++++-------------------
 src/cairo-debug.c                    |    4 -
 src/meson.build                      |    1 -
 8 files changed, 498 insertions(+), 1792 deletions(-)

commit 939da43c44ec28b278db36ab744a1176bbdfa890
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Aug 19 15:50:56 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Add minimal font support
    
    This adds very basic path-based font support to the cogl backend,
    improving cairo-perf-trace performance by 6x or more on many traces.
    This still is not the most desirable form of font support, which
    would resemble the texture-based glyph caching in the gl backend or
    use cogl-pango to automatically cache glyphs.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 68 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 67 insertions(+), 1 deletion(-)

commit 26c7103750b3578561140b522fcc7e77ccd1ab0b
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Aug 19 15:41:02 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Fix reference counting bugs
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c | 19 +++++++++-
 src/cairo-cogl-gradient.c            |  1 +
 src/cairo-cogl-surface.c             | 71 +++++++++++++++++++++++++-----------
 3 files changed, 68 insertions(+), 23 deletions(-)

commit 20d475042cdd41603e0a0752779c6f74a7fae544
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jul 29 14:07:41 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Increase reading performance of RGB-only surfaces
    
    This makes it so that RGB24 surfaces are represented in such a way
    that does not require expensive format conversions during pixel
    packing and unpacking.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 36 ++++++++++++++----------------------
 1 file changed, 14 insertions(+), 22 deletions(-)

commit 4068fe0026c32bd04d2405956347544842fc11a8
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jul 29 04:53:07 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Support mirroring of gradients if no hardware support exists
    
    This mirrors a linear gradient by dobling its size and reflecting it
    in the case that hardware does not support mirrored repeating.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-gradient-private.h |   1 +
 src/cairo-cogl-gradient.c         |  61 ++++++--
 src/cairo-cogl-surface.c          | 287 ++++++++++++++++++++------------------
 3 files changed, 202 insertions(+), 147 deletions(-)

commit 9b07a5379bac68565188ac9ea05970c1c4ae31cd
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Tue Jul 28 02:39:31 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Limit size of journal
    
    This makes sure the journal is flushed after it reaches a certain
    size, so that very large amounts of memory are not consumed if an
    explicit flush is not triggered.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 43 ++++++++++++++++++++++++++++++++++++-------
 1 file changed, 36 insertions(+), 7 deletions(-)

commit 08d6c7de2db2c467da6e210f0b0f3565ba6f50be
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Jul 26 10:55:20 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Support source surfaces without an alpha component
    
    This ensures that if the source surface does not have an alpha
    component (such as those with format RGB24), it is not blended
    as if it does.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-private.h |  12 ++-
 src/cairo-cogl-surface.c | 265 ++++++++++++++++++++++++++++++++---------------
 src/cairo-cogl.h         |   3 +-
 3 files changed, 194 insertions(+), 86 deletions(-)

commit bb84bb650ddc1724bc3abb0ee8da8fa9ae34c9a4
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sat Jul 25 02:14:13 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Ensure onscreen framebuffers have an alpha component if required
    
    Prior to this change, cogl often queried GLX so that it returned
    a framebuffer that could not support an alpha component.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit 02371a714e3fe7500b7cfca5d9ba824aeb3f4695
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Fri Jul 24 21:27:13 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Improve support for hardware without mirrored repeating
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c |   10 +-
 src/cairo-cogl-private.h |   11 +-
 src/cairo-cogl-surface.c | 1031 ++++++++++++++++++++++++++++++----------------
 src/cairo-cogl.h         |    3 +
 4 files changed, 695 insertions(+), 360 deletions(-)

commit 916408481f3123bc6fc0800c90d910716046ec30
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Jul 19 15:22:24 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Move framebuffer creation functionality out of boilerplate
    
    In order to be more consistent with backends such as gl, support for
    creating a surface from content, width, and height parameters was
    moved into the backend itself. The option to pass cairo-cogl a
    framebuffer to create a texture from still exists, just now it is
    not the only option.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c |  63 ++++--------
 src/cairo-cogl-surface.c             | 182 +++++++++++++++++++++++++++++------
 src/cairo-cogl.h                     |  19 +++-
 3 files changed, 187 insertions(+), 77 deletions(-)

commit 9248ba1419b4164207afb982b4d3f9e43ddffe42
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sat Jul 18 19:03:28 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Properly support unbounded operators
    
    This makes it so that operators requiring transparent values to be
    used outside of the bounds of the source and/or mask textures will
    trigger a second rendering of transparent pixels.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c          |   90 ++-
 src/cairo-cogl-gradient-private.h |   10 +-
 src/cairo-cogl-gradient.c         |   20 +-
 src/cairo-cogl-private.h          |    4 +-
 src/cairo-cogl-surface.c          | 1474 ++++++++++++++++++-------------------
 src/cairo-cogl-utils-private.h    |    4 +-
 src/cairo-cogl-utils.c            |    4 +-
 src/cairo-cogl.h                  |    2 +-
 8 files changed, 813 insertions(+), 795 deletions(-)

commit b258f0203c4365a67e6cc88763608737badb4580
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jul 15 12:34:12 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Handle negative stride images correctly
    
    This adds correct support for negative stride images by uploading
    them to a texture in their upside-down orientation and then
    vertically inverting the matrix with which they are read, which
    is required because OpenGL (and therefore cogl) cannot pack pixels
    with a negative stride.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 49 +++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 44 insertions(+), 5 deletions(-)

commit 20cc7ad16ea2fe95499813b93732b7d7bdefa4dc
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jul 15 07:51:31 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Avoid duplicate representations of the path
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c |  65 +---
 src/cairo-cogl-surface.c | 883 +++++++++++++++++++++++++++++++++--------------
 2 files changed, 632 insertions(+), 316 deletions(-)

commit 9e473db58d22cc181a4a3388c72666ce28cdb8b8
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sat Jul 11 15:02:34 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Flush the path before calling functions that require it
    
    Prior to this change, API functions like path_exents returned
    incorrect results if the cogl-specific representation of rectangular
    paths was being used.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c | 177 ++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 159 insertions(+), 18 deletions(-)

commit b7e1551814821a9288cde42a6e000fb1a887ee6f
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sat Jul 11 15:01:32 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Fix rectangular filling fast path
    
    Prior to this, the rectangular filling fast path passed arguments to
    _cairo_cogl_journal_log_rectangle as if they represented the
    coordinates of two opposite points on the rectangle, when the arguments
    actually represent a rectangle with the x and y coordinates of one
    point and the width and height of the rectangle.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c |  2 +-
 src/cairo-cogl-surface.c | 11 +++--------
 2 files changed, 4 insertions(+), 9 deletions(-)

commit 1bb048af24d68902981c2af0196fe4042b7e2a9f
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Fri Jul 10 06:05:48 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Support raster sources
    
    This adds supporte for raster sources using the same method that
    is used to support radial gradient and mesh sources.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f3d2623046b934eb2322af45feec3f6ff37e52d4
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Fri Jul 10 03:26:03 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:58 2020 -0600

    cogl: Fix very small surfaces in boilerplate
    
    Prior to this change, the boilerplate code crashed when given surface
    dimensions less than 1. This fixes such behaviour by rounding the
    dimensions up to 1, which is also done by the boilerplate code for
    several other backends.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 8f0f371b873ed491ba9492fd0a6bad2695de24a6
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Fri Jul 10 02:57:49 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Use less memory during recording surface replaying
    
    Many of the tests in the test suite do many replays of different
    small parts of a single surface. When combined with the cogl backend's
    journaling mechanism, this consumes very large amounts of memory, as
    the entire surface is allocated for each replay. This changes this
    behaviour so that only the portion of the surface that will be used
    is allocated.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 62 ++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 49 insertions(+), 13 deletions(-)

commit 641ea48b66c3ee96138366d64d50dd40c5d29dc1
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jul 8 20:49:35 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Support more unbounded operators
    
    Due to recent changes, all unbounded Porter-Duff compositing operators
    can be properly supported in addition to IN.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 29 ++---------------------------
 1 file changed, 2 insertions(+), 27 deletions(-)

commit e2e494b9ff1d3ba57d21f4cf23187b940cfa0968
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jul 8 20:48:00 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Fix rectangle filling conditions
    
    Prior to this change, the context functions were using the accelerated
    rectangle-filling path even if there was a preexisting rectangular path,
    producing incorrect results.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bb02ea2b4f68b202682383f2517e33c0d66a9567
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jul 8 06:58:53 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Correct usage of clip boxes
    
    This changes the interpretation of multiple boxes in the clip from
    using the intersection of the multiple boxes to using the union of
    the multiple boxes, which corrects many results in the test suite.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 273 ++++++++++++++++++++++++++++++++---------------
 1 file changed, 186 insertions(+), 87 deletions(-)

commit 7319feb642ecdf21315c8e4a6e211ab27b7dc833
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Jul 5 17:34:54 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Support CAIRO_EXTEND_NONE correctly
    
    Prior to this change, CAIRO_EXTEND_NONE was handled the same way as
    CAIRO_EXTEND_PAD, which produced incorrect results in many tests.
    This fixes such behaviour by created a per-source and per-mask clip
    that is applied so that areas outside the bounds of the source or
    mask textures are not sampled during drawing.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 361 +++++++++++++++++++++++++++++++++--------------
 1 file changed, 253 insertions(+), 108 deletions(-)

commit 98eaa778b70715e57cd3ce927b71a9ffdcd0f39f
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Jul 5 00:04:43 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Support combinations of mask and source patterns correctly
    
    Prior to this change, the set of template pipelines did not
    properly apply to the full combination of mask and source patterns,
    which could be either textures or solids.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-private.h |  29 ++++--
 src/cairo-cogl-surface.c | 259 +++++++++++++++++++++++++++++++----------------
 2 files changed, 190 insertions(+), 98 deletions(-)

commit 97a98d9145f4dea411a2e42f827a4e50b02edcf1
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Fri Jul 3 23:48:35 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Fix aliased vertex buffer offset
    
    This fixes a bug in which the texture coordinate attributes were
    being read from the wrong location in the mapped buffer, due to a
    typo in the original code.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e810fe2d179f9f5aed4a551447ca312ee8029c7
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jul 1 14:53:28 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Fix handling of translated pattern matrices
    
    Due to how cairo matrix math works, the x0 and y0 elements of the
    texture matrix were not being normalized, leading to incorrect
    results in several tests.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 76 ++++++++++++++++++++++++++++--------------------
 1 file changed, 44 insertions(+), 32 deletions(-)

commit 1dce0112efb2ef007983c623348bce68c8914682
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Tue Jun 30 19:39:40 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Trailing whitespace fix
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit fc8e68b37ae07dce6b5868ae18e02eff9b04382e
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Tue Jun 30 19:32:22 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Fix crash when specifying only mask surface
    
    Cogl enters into an infinite recursion if a texture is specified
    for layer 1 of a pipeline but no texture is specified for layer 0.
    This works around the bug by setting the mask texture on layer 0
    if there is no source texture.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 75d843208cf33b8ba0273745582bcaabf900ea24
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Mon Jun 29 13:37:20 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Move context, device, and surface members to most fitting places
    
    The buffer stack was moved from the surface to the device, as
    mapped buffers are shared across all surfaces using the device
    and more than one surface may be doing so. Stemming from this, if
    a surface tries to map a buffer without first unmapping one that
    has been mapped by another surface, it will trigger an error.
    
    The parent backend functions were moved from the device to the
    context, as it is possible that the context creation function could
    be passed a non-cogl device. Prior to this change, many of the
    subsurface tests segfaulted.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c |  10 +-
 src/cairo-cogl-context-private.h     |   8 +-
 src/cairo-cogl-context.c             | 256 ++++++++++++++++++++---------------
 src/cairo-cogl-gradient.c            |  19 ++-
 src/cairo-cogl-private.h             |  18 +--
 src/cairo-cogl-surface.c             | 186 +++++++++++++------------
 6 files changed, 269 insertions(+), 228 deletions(-)

commit a3233bc5df49a8fee4ba07ad56b9cc67e8bfc744
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Jun 28 20:00:47 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Handle recording surface sources properly
    
    Previously, if an unbounded recording surface was given as the
    source, the program triggered an assertion failure in the recording
    surface code, as acquire_source_image cannot be used on the surface
    in this case. This adds a new path to deal with such an unbounded
    source surface.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 35 +++++++++++++++++++++++++++++++++--
 1 file changed, 33 insertions(+), 2 deletions(-)

commit 97c766f8fe6a547b2f1389c59e8a6260c1531539
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jun 24 05:17:04 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Convert int to fixed-point in rectangle painting fallback
    
    Previously, the rectangle fallback path in surface_paint was
    incorrectly passing and int to a function that required a
    fixed-point number.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit ceffa65fb0411b569690f56788285970ae275c25
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sun Jun 21 03:32:44 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Account for new representations of framebuffer types
    
    With the new cogl API, casting the framebuffer into offscreen
    and onscreen types with the provided macros is a deprecated
    behavior.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c | 35 +++++------------------------------
 src/cairo-cogl.h                     |  4 ++--
 2 files changed, 7 insertions(+), 32 deletions(-)

commit 1ada7c9aa6adc70dc58b6678df5d95268f9ecc29
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Sat Jun 20 19:10:29 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Fix push_group and pop_group context functions
    
    Before this change, there was the possibility of context functions
    only meant for the cogl surface backend being used on a non-cogl
    surface.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c | 143 ++++++++++++++++++++++++++++++++++-------------
 src/cairo-cogl-surface.c |   5 +-
 2 files changed, 108 insertions(+), 40 deletions(-)

commit d1dec1b3842800b336f4bda27e7fc9943ed27c16
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Thu Jun 18 23:22:56 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Fix passing wrong type to _cairo_cogl_clip_push_box
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit bda0f90d6e1368e2414235ef84da2dc5390d89cd
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Thu Jun 18 18:13:37 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Correct behavior of boilerplate surface finishing functions
    
    Without this, a buffer-swapping function only usable on onscreen
    framebuffers would have been used on offscreen framebuffers.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c | 29 +++++++++++++++++++++++------
 src/cairo-cogl-surface.c             |  6 +++++-
 2 files changed, 28 insertions(+), 7 deletions(-)

commit 78b00a32132a113cb8d72c4b5d2d4f9f935867d4
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Thu Jun 18 00:21:36 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Handle framebuffer formats better in case contents are unknown
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit fd6de9820e50b21c0aca15e71b5bbadca9e26358
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jun 17 13:28:47 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Accommodate new context functions
    
    In order to satisfy the runtime check that accounts for new
    API functions that modify the transformation matrix, the new
    functions for translation from backend to user coordinates must
    be accounted for.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-context.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 09092bf884bdb6ff25173ca91b2579620fd58b09
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jun 17 04:20:10 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Add dependency on cogl-path
    
    The path functions in the cogl API have now been split into a
    separate one which builds from the same codebase. In order to
    compile with this change, the new library has to be added as
    an explicit dependency.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6250e1a8433cca797fb3ca106495f5d779882015
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jun 17 03:47:02 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Use new separate functions for offscreen and onscreen framebuffers
    
    The old boilerplate code no longer worked due to the deprecation of
    functions for swapping the buffers that it used.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 boilerplate/cairo-boilerplate-cogl.c | 39 +++++++++++++++++++++---------------
 1 file changed, 23 insertions(+), 16 deletions(-)

commit 7135ca2091b0c69b2f9aa2e9d5986d10a86d6103
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Wed Jun 17 02:37:25 2020 -0600
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Futher changes to match new cogl-experimental public API
    
    These are more changes required to match the new backwards-incompatible
    API of cogl-experimental.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-gradient.c |  47 +++++-----
 src/cairo-cogl-private.h  |   1 -
 src/cairo-cogl-surface.c  | 231 +++++++++++++++++++++++++++++-----------------
 3 files changed, 170 insertions(+), 109 deletions(-)

commit 418ad9db62356aa9dbf2e77ea7d5c3be88447f3b
Author:     George Matsumura <gmmatsumura01@bvsd.org>
AuthorDate: Mon Jun 15 07:44:20 2020 +0000
Commit:     George Matsumura <gmmatsumura01@bvsd.org>
CommitDate: Tue Aug 25 02:30:57 2020 -0600

    cogl: Update to match changed cogl-experimental public API
    
    This is the first part of updates to match the backwards-incompatible
    changes that have been made in the cogl-experimental public API
    since this backend last worked.
    
    Signed-off-by: George Matsumura <gmmatsumura01@bvsd.org>

 src/cairo-cogl-surface.c | 54 +++++++++++++++++++++++++++++++++---------------
 1 file changed, 37 insertions(+), 17 deletions(-)

commit 88d773e6275474364c29153ca3027631f3f0583f
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Fri Jul 31 14:42:50 2020 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Fri Aug 14 14:22:27 2020 +0000

    meson: add summary and flip some options to disabled by default
    
    .. to match autotools.

 meson.build       | 67 ++++++++++++++++++++++++++++++++++++++++++++++++++-----
 meson_options.txt | 12 +++++-----
 2 files changed, 69 insertions(+), 10 deletions(-)

commit 89d4c22140842dd1640a3a9a401ce0d842e9a923
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Fri Aug 7 12:13:10 2020 +0100
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Fri Aug 7 12:13:10 2020 +0100

    meson: update fontconfig wrap and add gperf wrap
    
    Update fontconfig wrap to upstream now that it's been merged.
    Add gperf wrap which is needed for fontconfig, same as in the
    upstream fontconfig repo (this can't be put into wrapdb yet
    because it requires changes to source files).

 subprojects/.gitignore      | 3 ++-
 subprojects/fontconfig.wrap | 6 +++---
 subprojects/gperf.wrap      | 5 +++++
 3 files changed, 10 insertions(+), 4 deletions(-)

commit 7cb362d5861df09b990ea81bbbb66099cab3a2a5
Author:     Tim-Philipp Müller <tim@centricular.com>
AuthorDate: Fri Aug 7 00:18:17 2020 +0100
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Fri Aug 7 00:18:17 2020 +0100

    meson: fix cairo-script-interpreter library name
    
    Fixes #418

 util/cairo-script/meson.build | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit efc508bdb97d249592af226c7abe0a2365b1731d
Author:     Nirbheek Chauhan <nirbheek@centricular.com>
AuthorDate: Thu Aug 6 02:06:45 2020 +0530
Commit:     Nirbheek Chauhan <nirbheek@centricular.com>
CommitDate: Thu Aug 6 02:06:45 2020 +0530

    meson: Fix win32 libs in cairo-win32*.pc files
    
    Fixes https://gitlab.freedesktop.org/cairo/cairo/-/issues/419

 meson.build | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 596a82f2d185b101bd74645492821fe2f9e0daa0
Author:     Mathieu Duponchelle <mathieu@centricular.com>
AuthorDate: Mon May 21 20:08:22 2018 +0200
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Fri Jul 31 12:21:50 2020 +0100

    Add meson build definitions
    
    Co-Authored by:
    Nirbheek Chauhan <nirbheek@centricular.com>
    lb90 <luca.bacci982@gmail.com>
    Tim-Philipp Müller <tim@centricular.com>

 boilerplate/make-cairo-boilerplate-constructors.py |  38 +
 boilerplate/make-cairo-boilerplate-constructors.sh |   2 +
 boilerplate/meson.build                            |  43 +
 configure.ac                                       |  11 +
 meson-cc-tests/atomic-ops-cxx11.c                  |   3 +
 meson-cc-tests/atomic-ops-gcc-legacy.c             |   3 +
 meson-cc-tests/ft_has_color.c                      |   7 +
 meson-cc-tests/ipc_rmid_deferred_release.c         |  18 +
 meson-cc-tests/mkdir-variant-1.c                   |  12 +
 meson-cc-tests/mkdir-variant-2.c                   |  12 +
 meson-cc-tests/pthread.c                           |  35 +
 meson.build                                        | 918 +++++++++++++++++++++
 meson_options.txt                                  |  34 +
 src/meson.build                                    | 322 ++++++++
 subprojects/.gitignore                             |  10 +
 subprojects/expat.wrap                             |  10 +
 subprojects/fontconfig.wrap                        |   5 +
 subprojects/freetype2.wrap                         |   5 +
 subprojects/glib.wrap                              |   5 +
 subprojects/libffi.wrap                            |   4 +
 subprojects/libpng.wrap                            |  10 +
 subprojects/pixman.wrap                            |   5 +
 subprojects/proxy-libintl.wrap                     |   4 +
 subprojects/zlib.wrap                              |  10 +
 test/make-cairo-test-constructors.py               |  37 +
 test/meson.build                                   | 627 ++++++++++++++
 test/pdiff/meson.build                             |  21 +
 util/cairo-fdr/meson.build                         |  11 +
 util/cairo-gobject/meson.build                     |  25 +
 util/cairo-missing/meson.build                     |  11 +
 util/cairo-script/meson.build                      |  65 ++
 util/cairo-sphinx/meson.build                      |  26 +
 util/cairo-trace/meson.build                       |  30 +
 util/meson.build                                   |  66 ++
 34 files changed, 2445 insertions(+)

commit a75f8df95761bf88b54c326c5312117ea5073010
Author:     Mathieu Duponchelle <mathieu@centricular.com>
AuthorDate: Thu May 31 16:07:57 2018 -0700
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Fri Jul 31 01:21:01 2020 +0100

    Fix build on Windows with recent versions of MSVC
    
    - vsnprintf and snprintf are available since vs2015
    - define ISREG if not provided
    - guard unistd.h include with HAVE_UNISTD_H
    - isnan() is available after vs2010

 src/cairo-compiler-private.h | 6 ++++--
 test/bitmap-font.c           | 6 ++++++
 test/cairo-test.h            | 2 ++
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 91b5761acd8ddb70993de4c9338549caf617a960
Merge: b55e491d6 1a6a26be5
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Mon Jul 20 18:42:01 2020 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Mon Jul 20 18:42:01 2020 +0200

    Merge branch 'master' of gitlab.freedesktop.org:sgerwk/cairo

commit b55e491d67e95d7e6ef33f18a239eb6a9a49b7a2
Merge: 4777f9cd5 61cd11a39
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Mon Jul 20 18:33:46 2020 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Mon Jul 20 18:33:46 2020 +0200

    Merge branch 'invalid-free-crash' of gitlab.freedesktop.org:psychon/cairo

commit 4777f9cd5f67dcab6e750092630aaace8607c4b5
Merge: e0f9db945 c93ca40f6
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Mon Jul 20 18:32:33 2020 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Mon Jul 20 18:32:33 2020 +0200

    Merge branch 'fix-build-rule-for-font-variations' of gitlab.freedesktop.org:mpsuzuki/cairo

commit e0f9db9459b2eee16507bd8cc06ef668f14291db
Merge: bf1219919 cb2357f48
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Mon Jul 20 18:30:45 2020 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Mon Jul 20 18:30:45 2020 +0200

    Merge branch 'master' of gitlab.freedesktop.org:ffontaine/cairo

commit bf121991964b10ea06ca8c991bead5857509ce5a
Merge: c4fd00c2c 23b6e8bb5
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Mon Jul 20 18:29:39 2020 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Mon Jul 20 18:29:39 2020 +0200

    Merge branch 'master' of gitlab.freedesktop.org:trofi/cairo

commit c4fd00c2c4111dfbf1aeb81ed04de4bf6e5efc9f
Author:     Mathieu Duponchelle <mathieu@centricular.com>
AuthorDate: Wed May 30 17:59:18 2018 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Jul 18 19:43:43 2020 +0000

    script-surface: Fix unitialized variable compiler warning
    
    gcc doesn't warn about this because status is potentially
    initialized in a loop.

 src/cairo-script-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bfa00bc3d7d8754bce5f115ac2280c42e6447ba0
Author:     Mathieu Duponchelle <mathieu@centricular.com>
AuthorDate: Tue May 29 19:44:45 2018 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Jul 18 19:43:43 2020 +0000

    cairo-qt-surface: fix arguments of _cairo_surface_init()
    
    This is broken since b1192beac7c5b56a8ff356d20af5ebfb65404109 (2015!)

 src/cairo-qt-surface.cpp | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 1676935768b888b3e4038b6dddb4f6362c137345
Author:     Mathieu Duponchelle <mathieu@centricular.com>
AuthorDate: Tue May 29 17:56:16 2018 +0200
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Sat Jul 18 19:47:27 2020 +0100

    raster-source: fix when builddir != srcdir
    
    When the build dir is different from the source dir,
    "png.png" is not a valid path. As we can't dispose of
    an allocated filename, we add an atexit handler.

 test/raster-source.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 4645ecf3f89de9e25fc83d7c0fdb89188de7a2a3
Author:     Mathieu Duponchelle <mathieu@centricular.com>
AuthorDate: Tue May 29 17:54:02 2018 +0200
Commit:     Tim-Philipp Müller <tim@centricular.com>
CommitDate: Sat Jul 18 19:47:17 2020 +0100

    record tests: fix when builddir != srcdir
    
    When builddir != srcdir, cairo_test_create_pattern_from_png
    needs a non-NULL ctx to work with.

 test/cairo-test.c  | 8 ++++++++
 test/cairo-test.h  | 3 +++
 test/record.c      | 2 +-
 test/record1414x.c | 2 +-
 test/record2x.c    | 2 +-
 test/record90.c    | 2 +-
 test/recordflip.c  | 2 +-
 7 files changed, 16 insertions(+), 5 deletions(-)

commit 23b6e8bb5798c77550da613fadc3da8b3be14573
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: Sun Jun 14 09:58:52 2020 +0100
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: Sun Jun 14 09:58:52 2020 +0100

    build/aclocal.float.m4: detect 'strings' with AC_CHECK_TOOL
    
    This way all binutils tools are detected with $CHOST prefix
    if exist. And strings is allowed to be substituted with
    STRINGS environment override, so 'llvm-strings' (or other)
    alternative can be used.
    
    Bug: https://bugs.gentoo.org/726200
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 build/aclocal.float.m4 | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit aee96d175d8349945a6d1948a56abd4b4ec6ad84
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sun Feb 17 17:43:39 2019 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Thu Feb 27 17:01:07 2020 +0000

    Initialize mutexes in _cairo_ft_unscaled_font_map_lock()
    
    This function is reachable via cairo_ft_font_face_create_for_ft_face()
    -> _cairo_ft_unscaled_font_create_from_face() ->
    _cairo_ft_unscaled_font_create_internal() ->
    _cairo_ft_unscaled_font_map_lock(). Thus, it could happen that nothing
    initialized mutexes before this code runs.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-ft-font.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0ae4e6a8554ce7cc13ba0f23c516ddd7622f660a
Merge: d66baf8ec a68c19680
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Fri Feb 14 16:58:15 2020 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Fri Feb 14 16:58:15 2020 +0100

    Merge branch 'ft-leak' of gitlab.freedesktop.org:carlosgc/cairo

commit d66baf8ecd880ec9b0e282025a77fa223299d52a
Merge: 2982adec7 10760d29d
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Wed Feb 12 17:44:18 2020 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Wed Feb 12 17:44:18 2020 +0100

    Merge branch 'fix-xml-unclosed-scaled-font-element' of gitlab.freedesktop.org:mpsuzuki/cairo

commit cb2357f481396820ec954dc4b69eafc01a8d162a
Author:     Fabrice Fontaine <fontaine.fabrice@gmail.com>
AuthorDate: Mon Feb 3 21:24:25 2020 +0100
Commit:     Fabrice Fontaine <fontaine.fabrice@gmail.com>
CommitDate: Mon Feb 3 21:24:25 2020 +0100

    test: fix build when SHOULD_FORK is false
    
    The code in test/cairo-test-runner.c properly takes into account
    platforms that do have fork() support, and uses the SHOULD_FORK define
    to know whether fork is available or not.
    
    However, this SHOULD_FORK macro is used to guard the inclusion of
    <unistd.h>, which is needed to get the prototype of other functions
    (namely readlink and getppid), that are used in portions of this file
    not guarded by SHOULD_FORK.
    
    Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
    [Retrieved from:
    https://git.buildroot.net/buildroot/tree/package/cairo/0001-fix-nofork-build.patch]
    Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

 test/cairo-test-runner.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2982adec7698ef6cc55b6eb27f28200a95013cdc
Author:     luzpaz <david.yoga@gmail.com>
AuthorDate: Fri Dec 20 11:10:19 2019 +0000
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Fri Dec 20 11:10:19 2019 +0000

    Fix documentation typo in src/cairo-surface.c

 src/cairo-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a6a26be5641cc3ebd3863df730b2d2db8227ac0
Author:     sgerwk <sgerwk@aol.com>
AuthorDate: Mon Oct 14 12:25:43 2019 +0200
Commit:     sgerwk <sgerwk@aol.com>
CommitDate: Mon Oct 14 12:25:43 2019 +0200

    a surface may also be checked for status after finishing

 src/cairo-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f93fc72c0c3e158982740015304389192ce8a567
Author:     Heiko Lewin <hlewin@gmx.de>
AuthorDate: Sat Oct 12 07:45:29 2019 +0000
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Oct 12 07:45:29 2019 +0000

    Delete fill_rectangles_shader on device finish

 src/cairo-gl-shaders.c | 1 +
 1 file changed, 1 insertion(+)

commit d0dccb92c520556aaa02bd1fdf8f2922cef00292
Author:     Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
AuthorDate: Sat Oct 5 14:07:28 2019 +0200
Commit:     Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
CommitDate: Sat Oct 5 14:07:28 2019 +0200

    image compositor: Remove the right glyph from pixman's cache
    
    We need to use the index including the phase. Otherwise we leave glyphs
    in the cache that cause problems later as indices are reused.

 src/cairo-image-compositor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52a7c79fd4ff96bb5fac175f0199819b0f8c18fc
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri Jul 26 17:29:17 2019 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Fri Jul 26 17:29:17 2019 -0400

    Fix vertical subpixel positioning
    
    We need to apply the Y subpixel phase negated,
    since we flip the Y axis later.

 src/cairo-ft-font.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit aa263f881fb158202f32a7e3a8c6351dbe3626b8
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Thu May 30 07:30:55 2019 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Thu Jul 18 14:38:47 2019 -0700

    Fix a thinko in composite_color_glyphs
    
    We can't just move around the contents of the
    passed-in string, we need to make a copy. This
    was showing up as memory corruption in pango.
    
    See https://gitlab.gnome.org/GNOME/pango/issues/346

 src/cairo-surface.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit e4a79db0108be6a2b06dfce51a44bcbdead66ebd
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sat May 25 00:35:04 2019 +0000
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Thu Jul 18 14:38:47 2019 -0700

    xlib compositor: Support subpixel positioning
    
    As for the image compository, support a 4x4
    subpixel grid.

 src/cairo-xlib-render-compositor.c | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit 6fd4222ab00c3b93f038172a8c9d48375c5f86f0
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri May 24 20:40:00 2019 +0000
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Thu Jul 18 14:38:47 2019 -0700

    Add a testcase for subpixel positioning
    
    With the image compositor, you can see different
    phases. The XLib compositor always uses the same
    glyph rendering.

 test/Makefile.sources |  1 +
 test/text-subpixel.c  | 68 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

commit ea9329215d3431ded51a71b724baf0edc25ad633
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sat Jul 28 12:25:47 2018 +0000
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Thu Jul 18 14:38:47 2019 -0700

    image compositor: Support subpixel positioning
    
    Support subpixel positioning with a 4x4 subpixel grid.
    
    When compositing glyphs in the image compositor,
    we store the subpixel phases in the high bits of the
    glyph index. The _cairo_scaled_glyph_index() macro
    has been updated to discard these bits. By storing
    the phases in the glyph index, the glyph cache just
    keeps working. When loading a glyph, the Freetype
    font backend shifts the outline according to the
    phases.

 src/cairo-ft-font.c          | 10 ++++++++++
 src/cairo-image-compositor.c | 13 +++++++++++--
 src/cairoint.h               |  5 ++++-
 3 files changed, 25 insertions(+), 3 deletions(-)

commit bab53d91a8543e2ddb15f9dce98ebb3f9bcd5d22
Author:     Florian Müllner <fmuellner@gnome.org>
AuthorDate: Mon Mar 11 03:51:40 2019 +0100
Commit:     Florian Müllner <fmuellner@gnome.org>
CommitDate: Thu May 30 17:38:59 2019 +0000

    ft-font: Fix color font support
    
    FT_PIXEL_MODE_BGRA is an enum member, not a define, so it always appears
    as 0 in the preprocessor conditions added in commit c0ed8ce1a11.
    
    There is an existing define for color font support, use that instead.

 src/cairo-ft-font.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dfe3aa6d88ad548b729cf8e5b5ff9d80fbb0e412
Author:     Antony Lee <anntzer.lee@gmail.com>
AuthorDate: Mon Feb 11 08:48:56 2019 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Fri May 10 15:02:54 2019 +0000

    Fix off-by-one bug in tor22-scan-converter.
    
    This makes the implementation in tor22-scan-converter match the one in
    tor-scan-converter.

 src/cairo-tor22-scan-converter.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 82a2477a4a305cdcd8f331e6539db8742e0829e6
Author:     Massimo Valentini <mvalentini@src.gnome.org>
AuthorDate: Fri Jan 16 12:56:04 2015 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Fri May 10 15:02:54 2019 +0000

    add a test to exercise tor22 spans allocation code path

 test/Makefile.sources            |   1 +
 test/bug-75705.c                 |  32 ++++++++++++++++++++++++++++++++
 test/reference/bug-75705.ref.png | Bin 0 -> 97 bytes
 3 files changed, 33 insertions(+)

commit c93ca40f60bc839c0193a572e97ec2d297190c95
Author:     suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
AuthorDate: Wed Apr 10 01:07:16 2019 +0000
Commit:     suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
CommitDate: Wed Apr 10 01:07:16 2019 +0000

    regrouping of test sources with new 'fc_font_test_sources' group

 test/Makefile.am      | 3 ++-
 test/Makefile.sources | 4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 10760d29d140330102846e83c92e0bc6a9f359a4
Author:     suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
AuthorDate: Mon Apr 8 02:52:51 2019 +0000
Commit:     suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
CommitDate: Mon Apr 8 03:06:06 2019 +0000

    xml: fix unclosed <scaled-font> element
    
    a closing tag </scaled-font> has been missing,
    mistakenly an opening tag <scaled-font> has been emitted.
    
    See discussion in:
    https://lists.cairographics.org/archives/cairo/2018-December/028822.html
    https://lists.cairographics.org/archives/cairo/2019-January/028828.html

 src/cairo-xml-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d331c69f65477b01859862f783081352f318c6d2
Author:     suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
AuthorDate: Mon Apr 8 02:56:50 2019 +0000
Commit:     suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
CommitDate: Mon Apr 8 03:05:00 2019 +0000

    Makefile.sources: move font-variations.c (a test code for
    Variation Font with FreeType2 functions) from test_sources
    to ft_font_test_sources, to restrict the test to the case
    with FreeType2 backend. See discussion in
    https://lists.cairographics.org/archives/cairo/2019-April/028858.html

 test/Makefile.sources | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 269522fbe999b44e3f18179d59f7c835620894eb
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sun Feb 17 09:26:11 2019 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Mon Mar 25 17:02:13 2019 +0000

    .gitlab-ci.yml: Temporarily switch to Fedora rawhide
    
    Since commit a34cb719cd9cb4f0, we need pixman >= 0.36, which is not yet
    in the latest Fedora. Thus, this switches to Fedora rawhide to make
    things work again.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 .gitlab-ci.yml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 81102cc214814cac8c99fed08a877d8f38312e51
Author:     Vasilij Schneidermann <mail@vasilij.de>
AuthorDate: Thu Feb 28 09:38:09 2019 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Thu Mar 14 17:42:28 2019 +0000

    Disable sphinx build if PNG support is disabled

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 250ae25b0a671b9de7313c042710bbb6760248c4
Author:     Federico Mena Quintero <federico@gnome.org>
AuthorDate: Tue Mar 12 10:19:36 2019 -0600
Commit:     Federico Mena Quintero <federico@gnome.org>
CommitDate: Tue Mar 12 10:20:26 2019 -0600

    Don't use deprecated rsvg_set_default_dpi()
    
    Use rsvg_handle_set_dpi() instead.

 test/any2ppm.c | 5 +----
 test/svg2png.c | 3 +--
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 2d1a137f3d27b60538c58b25e867288c7b0b61bc
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Sun Mar 3 00:01:34 2019 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Sun Mar 3 00:01:34 2019 -0800

    Revert "clip-boxes:  Drop too-early return"
    
    This reverts commit cb871c6c692af68d8e0bf9e26472af45435f8a2c.
    
    The original code is badly, but removing the early return leads to
    crashes.  This code will need a lot more attention to get right, for now
    at least go back to the original behavior.
    
    Fixes: https://gitlab.freedesktop.org/cairo/cairo/issues/358#note_125270

 src/cairo-clip-boxes.c | 1 +
 1 file changed, 1 insertion(+)

commit 61cd11a39095cb51b9e87beba10905e895567151
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Tue Feb 12 17:46:12 2019 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Tue Feb 12 17:46:12 2019 +0100

    steal boxes: Fix an invalif free() exposed by cb871c6c
    
    Commits cb871c6c made the function _cairo_clip_reduce_to_boxes()
    actually do something instead of being a no-op. This exposed a latent
    bug in cairo that was so far just not hit due to luck.
    
    The function _cairo_clip_steal_boxes() removes the boxes from a clip and
    gives them to a cairo_boxes_t. _cairo_clip_unsteal_boxes() undoes this
    operation. For efficiency reasons, cairo_clip_t contains an embedded
    cairo_box_t that is used when the clip has only one box to avoid a
    memory allocation. Thus, _cairo_clip_unsteal_boxes() must be called on
    the same clip that was given to _cairo_clip_steal_boxes(), or otherwise
    a clip could end up to the embedded box of another instance of
    cairo_clip_t. This is exactly what was happening here.
    
    For example, cairo-xcb can replace extents->clip with another clip via
    the call chain _cairo_xcb_render_compositor_paint() (which is where
    boxes are stolen) -> _clip_and_composite_boxes() ->
    trim_extents_to_traps() ->
    _cairo_composite_rectangles_intersect_mask_extents(). This function
    replaced the clip with the result of _cairo_clip_reduce_for_composite()
    and frees the old clip. At this point, the boxes that were stolen
    previously become invalid / become a dangling pointer. The crash later
    on is just one of the side effects of this.
    
    This commit fixes this problem by treating embedded boxes specially in
    _cairo_clip_steal_boxes() and _cairo_clip_unsteal_boxes(): The
    cairo_boxes_t instance also has embedded boxes. An embedded box on the
    clip is copied to these other embedded boxes. When unstealing, the
    embedded box of the clip is used again. Thus, it does not matter anymore
    that another instance of _cairo_clip_t is used for unstealing.
    
    Fixes: https://gitlab.freedesktop.org/cairo/cairo/issues/358
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-clip-inline.h | 17 +++++++++++++++--
 1 file changed, 15 insertions(+), 2 deletions(-)

commit 9752636bade11a9b3a3f65367c2b3728ca60a983
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Fri Feb 1 09:59:05 2019 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Feb 1 09:59:05 2019 -0800

    gitignore: gtk-doc.m4
    
    This file is generated by the dist release scripts.

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 4c5c48ebaa10a858ee6e940ad91a9bf504a6b6c1
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Fri Feb 1 09:11:46 2019 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Feb 1 09:11:46 2019 -0800

    surface: Fix spelling fix

 src/cairo-paginated-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f6ca43f5e82ee8fe701008a3823c7b51b2c05bf
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Fri Feb 1 08:15:42 2019 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Feb 1 08:15:42 2019 -0800

    cairo: Fix Since number for new color formats

 src/cairo.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2a21ed0293055540985e74375ff462502adc9754
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Fri Feb 1 19:46:00 2019 +1030
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Fri Feb 1 19:47:00 2019 +1030

    tags: Don't ignore tag on empty pages
    
    Issue 357

 src/cairo-analysis-surface.c | 4 ++--
 src/cairo-surface.c          | 1 +
 2 files changed, 3 insertions(+), 2 deletions(-)

commit ef99c3bf3001dbd55e32c1f2c54d7ebfeb98569a
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Thu Jan 31 19:49:57 2019 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Thu Jan 31 19:49:57 2019 -0800

    Start 1.17.2+1 development

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a68c19680e23fd916770c89abf50465f4c99d12b
Author:     Carlos Garcia Campos <cgarcia@igalia.com>
AuthorDate: Mon Nov 19 13:08:14 2018 +0100
Commit:     Carlos Garcia Campos <carlosgc@gnome.org>
CommitDate: Mon Nov 19 13:10:20 2018 +0100

    ft: Fix memory leak in _cairo_ft_unscaled_font_init
    
    FT_MM_Var returned by FT_Get_MM_Var needs to be freed.

 src/cairo-ft-font.c | 5 +++++
 1 file changed, 5 insertions(+)

commit d67be70805fc422aacdb75fb14f6fa482db649c0
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Thu Jan 31 19:33:41 2019 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Thu Jan 31 19:33:41 2019 -0800

    Release 1.17.2

 NEWS            | 25 +++++++++++++++++++++++--
 cairo-version.h |  2 +-
 2 files changed, 24 insertions(+), 3 deletions(-)

commit 6d93bddbd65a1a9723260f2b0406abae4dd63c7f
Author:     luz.paz <luzpaz@users.noreply.github.com>
AuthorDate: Sat Oct 20 14:11:30 2018 -0400
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Thu Jan 31 17:37:15 2019 -0800

    Misc. typos
    
    Found via `codespell -i 3 -w -I ../cairo-word-whitelist.txt -L tim,ned,uint`
    Follow up of 12cb59be7da
    
    Reviewed-by: Bryce Harrington <bryce@bryceharrington.org>

 AUTHORS                                        |  8 ++++----
 NEWS                                           | 20 ++++++++++----------
 boilerplate/cairo-boilerplate-win32-printing.c |  2 +-
 build/aclocal.float.m4                         |  2 +-
 build/configure.ac.warnings                    |  2 +-
 perf/cairo-perf-trace.c                        |  2 +-
 src/cairo-array.c                              |  2 +-
 src/cairo-cogl-surface.c                       |  4 ++--
 src/cairo-default-context.c                    |  2 +-
 src/cairo-ft-font.c                            |  2 +-
 src/cairo-gl-device.c                          |  2 +-
 src/cairo-gl-surface.c                         |  2 +-
 src/cairo-hash.c                               |  2 +-
 src/cairo-misc.c                               |  2 +-
 src/cairo-paginated-private.h                  |  2 +-
 src/cairo-paginated-surface.c                  |  2 +-
 src/cairo-pattern.c                            |  8 ++++----
 src/cairo-pdf-operators.c                      |  4 ++--
 src/cairo-ps-surface.c                         |  2 +-
 src/cairo-script-surface.c                     |  2 +-
 src/cairo-tag-attributes.c                     |  2 +-
 src/cairo-toy-font-face.c                      |  4 ++--
 src/cairo-traps.c                              |  2 +-
 src/cairoint.h                                 |  2 +-
 src/win32/cairo-win32-printing-surface.c       |  2 +-
 test/cairo-test.c                              |  2 +-
 test/copy-path.c                               |  2 +-
 test/degenerate-dash.c                         |  2 +-
 test/map-to-image.c                            |  6 +++---
 test/pattern-getters.c                         |  2 +-
 test/pdiff/args.c                              |  2 +-
 test/pdiff/args.h                              |  2 +-
 test/svg-clip.c                                |  2 +-
 test/text-cache-crash.c                        |  2 +-
 util/cairo-api-update                          |  2 +-
 util/cairo-script/cairo-script-hash.c          |  2 +-
 36 files changed, 56 insertions(+), 56 deletions(-)

commit cb871c6c692af68d8e0bf9e26472af45435f8a2c
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Thu Jan 31 17:20:50 2019 -0800
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Thu Jan 31 17:24:05 2019 -0800

    clip-boxes:  Drop too-early return
    
    The indentation of this line suggests it is a typo.  In any case it
    causes the function to unconditionally return immediately, thereby
    shortcircuiting it entirely, which does not appear to be the intended
    behavior.
    
    Fixes: https://gitlab.com/cairo/cairo/issues/2

 src/cairo-clip-boxes.c | 1 -
 1 file changed, 1 deletion(-)

commit ef8c379e0f560ced63c2a07566a3a7d608e3996c
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Wed Jan 16 20:46:42 2019 +1030
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Wed Jan 16 20:46:42 2019 +1030

    scaled-subsets: always include glyphs maps to character 0
    
    Issue 354

 src/cairo-scaled-font-subsets.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 6edf572ebb27b00d3c371ba5ae267e39d27d5b6d
Merge: d061570a7 90e85c249
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Wed Jan 9 07:50:12 2019 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Wed Jan 9 07:50:12 2019 +0100

    Merge branch 'ft-crash' of gitlab.freedesktop.org:carlosgc/cairo

commit d061570a70c12ebf43e9aa914a9cbb87b616a979
Author:     Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
AuthorDate: Mon Dec 3 15:13:42 2018 +0100
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Mon Jan 7 19:14:16 2019 -0800

    png: Add support for 16 bpc png reading as floating point format
    
    Similar to writing png, don't squash 16 bpc to 8 bpc and create
    a float surface to contain the image.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
    Reviewed-by: Bryce Harrington <bryce@bryceharrington.org>

 src/cairo-png.c | 68 ++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 60 insertions(+), 8 deletions(-)

commit 1df0a68460ed0c9e16089919002d8c58faccdab5
Author:     Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
AuthorDate: Mon Dec 3 15:13:41 2018 +0100
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Mon Jan 7 19:14:13 2019 -0800

    png: Add support for writing new floating point formats as 16 bpc png.
    
    _cairo_image_surface_coerce will round down the image to a lower
    bpp when using one of the floating point formats, so don't coerce those.
    This makes the code actually work for those formats.
    
    Because a float takes more storage than u16, we have to convert float
    to u16 before calling png_write_image, because png_write
    doesn't give us back the original row data, but an in-place copy.
    
    With these changes we can dump floating point files with the highest
    possible accuracy, with floats clamped between 0 and 1.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
    Reviewed-by: Bryce Harrington <bryce@bryceharrington.org>

 src/cairo-png.c | 108 ++++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 97 insertions(+), 11 deletions(-)

commit a34cb719cd9cb4f0c5b78be80b80ab0ae22464a6
Author:     Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
AuthorDate: Mon Dec 3 15:13:40 2018 +0100
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Mon Jan 7 19:10:44 2019 -0800

    Add support for RGBA128F and RGB96F formats.
    
    IGT wants to add support for planes with a bit depth >10, which
    requires a higher precision format than we have currently.
    
    I'm using RGBA as format, because of its existence in OpenGL.
    With the new formats we can directly convert our bytes to half float,
    or multiply a colro vector with a matrix to go to the Y'CbCr colorspace.
    
    This requires pixman 0.36.0, so bump the version requirement.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
    Reviewed-by: Bryce Harrington <bryce@bryceharrington.org>

 configure.ac                               |  2 +-
 perf/micro/fill-clip.c                     |  2 ++
 perf/micro/pixel.c                         |  2 ++
 src/cairo-debug.c                          |  6 ++++++
 src/cairo-image-compositor.c               |  4 ++++
 src/cairo-image-source.c                   | 27 +++++++++++++++++++++++++++
 src/cairo-image-surface.c                  | 16 ++++++++++++++++
 src/cairo-png.c                            |  2 ++
 src/cairo-script-surface.c                 | 20 ++++++++++++++++++++
 src/cairo-xlib-display.c                   | 12 ++++++++++++
 src/cairo.h                                |  6 +++++-
 src/cairoint.h                             |  2 +-
 test/any2ppm.c                             |  2 ++
 test/map-to-image.c                        |  2 ++
 test/png.c                                 |  2 ++
 util/cairo-script/cairo-script-operators.c | 12 ++++++++++++
 util/cairo-trace/trace.c                   | 12 +++++++++++-
 17 files changed, 127 insertions(+), 4 deletions(-)

commit 87c1c19197a6a3cdae955b320386f5449e17b286
Author:     Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
AuthorDate: Mon Dec 3 15:13:39 2018 +0100
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Mon Jan 7 19:10:30 2019 -0800

    cairo-trace: Simplify bigendian case in emit_image.
    
    All the cases are the same, except len is different.
    Use the already calculated len parameter to handle all
    cases except RGB24 the same.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
    Suggested-by: Bryce Harrington <bryce@bryceharrington.org>
    Reviewed-by: Bryce Harrington <bryce@bryceharrington.org>

 util/cairo-trace/trace.c | 25 +++++--------------------
 1 file changed, 5 insertions(+), 20 deletions(-)

commit 3a0670e03c6a93fda764878697a78e3b966ef1f1
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sat Nov 24 18:36:26 2018 +1030
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Mon Dec 31 12:45:06 2018 +1030

    tag_attributes: Allow decimal points in non decimal point locales
    
    Issue #347

 src/cairo-tag-attributes.c | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

commit 4804d073e6e197945ffe1852f0407e4364bc71be
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Tue Nov 13 16:31:06 2018 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sun Dec 16 09:53:07 2018 +0100

    Remove all traces of NUM_THREADS
    
    The code that looked at CAIRO_TEST_NUM_THREADS was removed seven years
    ago in commit 6ef9779a6f5cb8, because it was dead code. I have not
    managed to figure out how long exactly this code was dead already.
    
    This commit removes the last traces of NUM_THREADS.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 .gitlab-ci.yml   | 2 +-
 test/Makefile.am | 3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit c62238a1dab67f05528c622047ce1e60c1a382e4
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Tue Nov 13 16:24:19 2018 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sun Dec 16 09:53:07 2018 +0100

    .gitlab-ci.yml: Do a verbose build
    
    With VERBOSE=1, a lot more stuff is printed while make runs. Perhaps
    most interestingly, this prints the output of a failed test after the
    test failed. Thus, this gives us the output of the test suite.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0ed8ce1a111cb9472aef080ac3aa31526443f7c
Author:     suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
AuthorDate: Thu Dec 13 14:36:56 2018 +0900
Commit:     suzuki toshiya <mpsuzuki@hiroshima-u.ac.jp>
CommitDate: Thu Dec 13 14:36:56 2018 +0900

    [cairo-ft-font.c] conditionalize the changes by 3ec4aa24 on 2018-07-16 for legacy FreeType2 without color font feature

 src/cairo-ft-font.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 3c4570f8f49655735e13b35295ae3bc3ec81d027
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Dec 2 19:44:03 2018 +1030
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Sun Dec 2 21:30:51 2018 +1030

    ps: fix invalid matrix in eps embedding

 src/cairo-ps-surface-private.h | 2 ++
 src/cairo-ps-surface.c         | 5 +++++
 2 files changed, 7 insertions(+)

commit 90e85c2493fdfa3551f202ff10282463f1e36645
Author:     Carlos Garcia Campos <cgarcia@igalia.com>
AuthorDate: Mon Nov 19 12:33:07 2018 +0100
Commit:     Carlos Garcia Campos <carlosgc@gnome.org>
CommitDate: Mon Nov 19 12:35:33 2018 +0100

    ft: Use FT_Done_MM_Var instead of free when available in cairo_ft_apply_variations
    
    Fixes a crash when using freetype >= 2.9

 src/cairo-ft-font.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 01788f5edbab01ff7148af288faf87df7373ed2a
Author:     Jordan Petridis <jpetridis@gnome.org>
AuthorDate: Sun Nov 11 12:59:39 2018 +0000
Commit:     Jordan Petridis <jpetridis@gnome.org>
CommitDate: Sun Nov 11 12:59:39 2018 +0000

    CI: Fix Docker image uris
    
    Images where migrated a couple months ago to the
    GNOME gitlab instance.

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4c8813f0eaacc32c27126ad2296951a626300b89
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Thu Oct 25 18:46:17 2018 +1030
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Thu Oct 25 18:46:17 2018 +1030

    pdf: add missing flush
    
    Issue #342

 src/cairo-pdf-surface.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 4db835c5b5eede6a348f50eb8f5b3977c32c8e9e
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Wed Oct 24 13:41:51 2018 +1030
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Wed Oct 24 13:43:05 2018 +1030

    doc: fix link tags code example
    
    The old code did not work.

 src/cairo.c | 35 +++++++++++++++++------------------
 1 file changed, 17 insertions(+), 18 deletions(-)

commit c66f017aa376f5fffcd5ee785523e5e2775e379f
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Mon Oct 22 15:46:17 2018 -0700
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Mon Oct 22 15:47:03 2018 -0700

    RELEASING: Bugzilla no longer needs updated

 RELEASING | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit 717f0e0a40b8d947dad3fb9f25c3aad1619aae87
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Oct 21 13:36:46 2018 +1030
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Sun Oct 21 13:42:24 2018 +1030

    type1: fallback if the font matrix is not a uniform scale
    
    https://bugs.launchpad.net/ubuntu/+source/cairo/+bug/1790242

 src/cairo-type1-subset.c | 5 +++++
 1 file changed, 5 insertions(+)

commit ec70bde74ab2fb7fa4a9d648c9d7367b7daf59c2
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Fri Oct 19 13:43:54 2018 -0700
Commit:     Bryce Harrington <bryce@bryceharrington.org>
CommitDate: Fri Oct 19 13:43:54 2018 -0700

    Bump version for 1.17.1

 cairo-version.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
